Firefox 5 y aMule

Tras la instalación de Firefox 5, a más de uno (quizá a muchos) nos habrá sucedido que, al intentar abrir un eLink con aMule desde nuestro querido navegador, nos hayamos encontrado con esta desagradable sorpresa:


La solución a este problema no resulta complicada, y se basa en añadir unas líneas a la configuración avanzada de Firefox. Antes de hacerlo, debemos asegurarnos de tener instalados los paquetes amule-gnome-support y amule-utils. Una vez instalados dichos paquetes, seguiremos estos pasos:

1. Abrimos Firefox y entramos en su configuración avanzada escribiendo about:config en la barra de direcciones; como siempre, se nos advierte que entramos en "tierra peligrosa":


2. Hacemos click derecho en la lista de preferencias, Nuevo - Lógico, añadimos la siguiente línea:

network.protocol-handler.external.ed2k

y le damos el valor true.

3. Hacemos click derecho en la lista de preferencias, Nuevo - Cadena, añadimos la siguiente línea:

network.protocol-handler.app.ed2k

y le damos el valor /usr/bin/ed2k.

4. Hacemos click derecho en la lista de preferencias, Nuevo - Lógico, añadimos la siguiente línea:

network.protocol-handler.expose.ed2k

y le damos el valor false.

Reiniciamos Firefox para que guarde (y ponga en práctica) los cambios realizados. Si ahora probamos a abrir un eLink nos aparecerá una ventana en la que se nos sugiere la aplicación ed2k para abrir dicho eLink... sólo nos queda marcar la casilla Recordar mi elección para los enlaces ed2k y Aceptar. Problema resuelto.

Hemos encontrado esta solución en una entrada del blog amigo Así somos Linux, a cuyo editor agradecemos sus esfuerzos investigadores.

Un saludo a todos.

Comments are closed.